package eu.midnightdust.yaytris.game;

import java.awt.Color;

public enum TetrominoShape {
    SQUARE(new int[][]{
        {1, 1},
        {1, 2}
    }, Color.YELLOW),
    LINE(new int[][]{
        {1},
        {2},
        {1},
        {1}
    }, Color.BLUE),
    T(new int[][]{
        {0, 1, 0},
        {1, 2, 1}
    }, Color.RED),
    L_LEFT(new int[][]{
        {0, 1},
        {0, 2},
        {1, 1}
    }, Color.MAGENTA),
    L_RIGHT(new int[][]{
        {1, 0},
        {2, 0},
        {1, 1}
    }, Color.GREEN),
    ZAP_LEFT(new int[][]{
        {0, 1},
        {1, 2},
        {1, 0}
    }, Color.CYAN),
    ZAP_RIGHT(new int[][]{
        {1, 0},
        {2, 1},
        {0, 1}
    }, Color.ORANGE);
    ;

    final int[][] boundary;
    final Color color;

    TetrominoShape(int[][] boundary, Color color) {
        this.boundary = boundary;
        this.color = color;
    }

    public int[][] getBoundary() {
        return boundary;
    }

    public Color getColor() {
        return color;
    }
}
